SourceForge has been redesigned. Learn more.
Close

#8 Fails to build with GCC 4.5

closed
nobody
None
5
2010-05-02
2010-04-12
quadrispro
No

This was originally reported to Debian BTS:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=564852
------------------------------------------------------------------------------------------------------

Package: amsynth
Version: 1.2.2-1
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.5

for the compiler version used, see:
http://lists.debian.org/debian-devel/2010/01/msg00230.html

full build log:
http://people.debian.org/~lucas/logs/2010/01/08b/amsynth_1.2.2-1_lsid64b.buildlog

the reason of the build failure is likely in the package, if this turns out as a
gcc bug, please reassign to the gcc-4.5 package.

g++ -DHAVE_CONFIG_H -I. -I../.. -D_REENTRANT -I/usr/include/gtkmm-2.4
-I/usr/lib/gtkmm-2.4/include -I/usr/include/giomm-2.4
-I/usr/lib/giomm-2.4/include -I/usr/include/pangomm-1.4
-I/usr/lib/pangomm-1.4/include -I/usr/include/gtk-2.0
-I/usr/include/gtk-unix-print-2.0 -I/usr/include/atkmm-1.6
-I/usr/include/gdkmm-2.4 -I/usr/lib/gdkmm-2.4/include -I/usr/include/glibmm-2.4
-I/usr/lib/glibmm-2.4/include -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I/usr/include/sigc++-2.0
-I/usr/lib/sigc++-2.0/include -I/usr/include/cairomm-1.0
-I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/pixman-1
-I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12
-I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -Wall -O3 -ffast-math
-fno-exceptions -fomit-frame-pointer -Dwith_oss -Dwith_alsa -Dwith_jack
-Dwith_sndfile -c -o Knob.o Knob.cc
Knob.cc: In constructor 'Knob::Knob()':
Knob.cc:12:93: error: cannot call constructor
'Glib::RefPtr<Gtk::Adjustment>::RefPtr' directly
Knob.cc:12:93: note: for a function-style cast, remove the redundant '::RefPtr'
Knob.cc: In member function 'void Knob::set_adjustment(Gtk::Adjustment*)':
Knob.cc:38:56: error: cannot call constructor
'Glib::RefPtr<Gtk::Adjustment>::RefPtr' directly
Knob.cc:38:56: note: for a function-style cast, remove the redundant '::RefPtr'
Knob.cc:39:81: error: no matching function for call to
'Glib::SignalProxy0<void>::connect(sigc::bound_mem_functor0<void, Knob>,
sigc::bound_mem_functor0<void, Knob>)'
/usr/include/glibmm-2.4/glibmm/signalproxy.h:145:20: note: candidate is:
sigc::connection Glib::SignalProxy0<R>::connect(const
Glib::SignalProxy0<R>::SlotType&, bool) [with R = void,
Glib::SignalProxy0<R>::SlotType = sigc::slot<void>]
make[4]: *** [Knob.o] Error 1
make[4]: Leaving directory
`/build/user-amsynth_1.2.2-1-amd64-9EHGeY/amsynth-1.2.2/src/GUI'

Discussion

  • nick dowell

    nick dowell - 2010-04-17

    Now fixed in subversion (revision 286).
    Time for a new official release!

     
  • quadrispro

    quadrispro - 2010-04-17
    • status: open --> pending
     
  • quadrispro

    quadrispro - 2010-04-17

    Thank you!

     
  • SourceForge Robot

    This Tracker item was closed automatically by the system. It was
    previously set to a Pending status, and the original submitter
    did not respond within 14 days (the time period specified by
    the administrator of this Tracker).

     
  • SourceForge Robot

    • status: pending --> closed
     

Log in to post a comment.